/* langchooser.h  -- LangChooser class definition for NoComprendo */
/*
   Copyright (C) 2020 Bruno ANSELME <be.root@free.fr>

   This file is part of the NoComprendo software.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation, either version 3 of the License, or
   (at your option) any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License v3 for more details.

   You should have received a copy of the GNU General Public License
   along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef LANGSELECTOR_H
#define LANGSELECTOR_H

#include <QDialog>
#include "ui_langchooser.h"

class LangChooser : public QDialog, private Ui::LangSelect
{
    Q_OBJECT
public:
    LangChooser();                 //!< Constructor
    QString         getLang();      //!< Return selected language
private:
    Ui::LangSelect     ui;
};

#endif // LANGSELECTOR_H
